import { IMAPMessage } from "../imap/IMAPMessage";

export declare class IMAPSyncResultNativeBinding {
    get modifiedOrAddedMessages(): IMAPMessage[];
    get vanishedMessages(): number[];
}

export declare interface IMAPSyncResultNativeBindingObject {
    new (): IMAPSyncResultNativeBinding;
    strError(errorCode: number): string;
}
